Create a note
Creates a new note within the specified workspace (team_id). The note object is provided in the request body, including the note title, content, and any other relevant details (optional fields include transcript and user notes). Upon successful creation, the new note is returned in the response.
curl --request POST \
--url https://api.superthread.com/v1/{team_id}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Team Note",
"transcript": "<string>",
"transcripts": [
{
"content": "This is a transcript"
}
],
"user_notes": "<string>",
"is_public": true,
"attendees": [
{
"user_id": "uDsu0j19",
"email": "username@example.com",
"name": "John Doe"
}
],
"metadata_date": 1608742037016,
"metadata_time": 1608742037016,
"google_calendar_event": {
"id": "<string>",
"recurring_event_id": "<string>",
"title": "<string>",
"description": "<string>",
"meeting_links": [
{
"link": "<string>"
}
],
"attendees": [
{
"email": "<string>",
"name": "<string>",
"organizer": true
}
],
"start": 1608742037016,
"end": 1608742037016,
"updated": 1608742037016,
"location": "<string>"
}
}
'import requests
url = "https://api.superthread.com/v1/{team_id}/notes"
payload = {
"title": "Team Note",
"transcript": "<string>",
"transcripts": [{ "content": "This is a transcript" }],
"user_notes": "<string>",
"is_public": True,
"attendees": [
{
"user_id": "uDsu0j19",
"email": "username@example.com",
"name": "John Doe"
}
],
"metadata_date": 1608742037016,
"metadata_time": 1608742037016,
"google_calendar_event": {
"id": "<string>",
"recurring_event_id": "<string>",
"title": "<string>",
"description": "<string>",
"meeting_links": [{ "link": "<string>" }],
"attendees": [
{
"email": "<string>",
"name": "<string>",
"organizer": True
}
],
"start": 1608742037016,
"end": 1608742037016,
"updated": 1608742037016,
"location": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Team Note',
transcript: '<string>',
transcripts: [{content: 'This is a transcript'}],
user_notes: '<string>',
is_public: true,
attendees: [{user_id: 'uDsu0j19', email: 'username@example.com', name: 'John Doe'}],
metadata_date: 1608742037016,
metadata_time: 1608742037016,
google_calendar_event: {
id: '<string>',
recurring_event_id: '<string>',
title: '<string>',
description: '<string>',
meeting_links: [{link: '<string>'}],
attendees: [{email: '<string>', name: '<string>', organizer: true}],
start: 1608742037016,
end: 1608742037016,
updated: 1608742037016,
location: '<string>'
}
})
};
fetch('https://api.superthread.com/v1/{team_id}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"note": {
"id": "",
"title": "Team Note",
"transcript": "<string>",
"transcripts": [
{
"content": "This is a transcript",
"id": "43",
"time_created": 1608742037016,
"time_updated": 1608742037016
}
],
"user_notes": "<string>",
"ai_notes": [
{
"id": "866a3b86-4651-482c-bb69-61921ea4548c",
"note_template_id": "1da3b68c-3a82-495c-a6c9-e7a494281a36",
"title": "Team Note",
"content": "<string>",
"time_updated": 1608742037016,
"related_resources": [
{
"id": "123",
"type": "card",
"cosine_similarity": 0.8
}
]
}
],
"user": {
"user_id": "uDsu0j19",
"type": "user",
"source": {
"type": "oauth",
"client_id": "oczapier",
"import_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"agent_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"email_addr": "somebody@example.com",
"email_verified": false,
"on_behalf_of": "<string>"
}
},
"user_updated": {
"user_id": "uDsu0j19",
"type": "user",
"source": {
"type": "oauth",
"client_id": "oczapier",
"import_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"agent_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"email_addr": "somebody@example.com",
"email_verified": false,
"on_behalf_of": "<string>"
}
},
"team_id": "tdsu0j19",
"last_note_template_id": "<string>",
"is_public": false,
"public_settings": {
"url": "https://notes.superthread.com/n/1"
},
"time_created": 1608742037016,
"time_updated": 1608742037016,
"meeting_metadata": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"links": [
{
"link": "<string>"
}
],
"location": "<string>",
"start_time": 1608742037016,
"end_time": 1608742037016
},
"meeting_date": 1608742037016,
"meeting_time": 1608742037016,
"meeting_organizer": {
"user_id": "uDsu0j19",
"email": "username@example.com",
"name": "John Doe"
},
"meeting_attendees": [
{
"user_id": "uDsu0j19",
"email": "username@example.com",
"name": "John Doe"
}
]
}
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Body
Note object that needs to be created
"Team Note"
Show child attributes
Show child attributes
102400List of initial attendees to add. Assumes all fields of MeetingParticipant are set (Meaning all participants are Superthread members).
100Show child attributes
Show child attributes
unix timestamp in seconds
1608742037016
unix timestamp in seconds
1608742037016
Show child attributes
Show child attributes
Response
note created
Show child attributes
Show child attributes
